org.eclipse.viatra.cep.core.api.patterns

## Class ParameterizableComplexEventPattern

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.viatra.cep.core.metamodels.events.impl.EventPatternImpl
          - - org.eclipse.viatra.cep.core.metamodels.events.impl.ComplexEventPatternImpl
            - - org.eclipse.viatra.cep.core.api.patterns.ParameterizableComplexEventPattern

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, ComplexEventPattern, EventPattern

      public abstract class ParameterizableComplexEventPattern
      extends ComplexEventPatternImpl

  An extension of the `ComplexEventPattern` type that additionally captures parameters of the pattern and provides functionality to evaluate parameter bindings at runtime.

  In event processing scenarios where parameter binding is involved, event patterns should extend this superclass.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.ComplexEventPatternImpl

      `containedEventPatterns, EVENT_CONTEXT_EDEFAULT, eventContext, operator, timewindow`

    - ### Fields inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.EventPatternImpl

      `automaton, id, ID_EDEFAULT, parameterNames`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterizableComplexEventPattern()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventPatternReference` | `addEventPatternRefrence(EventPattern eventPatternToBeReffered, AbstractMultiplicity multiplicity)`
    `EventPatternReference` | `addEventPatternRefrence(EventPattern eventPatternToBeReffered, int multiplicity)`
    `void` | `addEventPatternRefrence(EventPattern eventPatternToBeReffered, int multiplicity, java.util.List<java.lang.String> parameterSymbolicNames)`

    - ### Methods inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.ComplexEventPatternImpl

      `basicSetOperator, basicSetTimewindow, eGet, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getContainedEventPatterns, getEventContext, getOperator, getTimewindow, setEventContext, setOperator, setTimewindow, toString`

    - ### Methods inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.EventPatternImpl

      `basicGetAutomaton, basicSetEventModel, eBasicRemoveFromContainerFeature, eInverseAdd, getAutomaton, getEventModel, getId, getParameterNames, setAutomaton, setEventModel, setId`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.cep.core.metamodels.events.EventPattern

      `getAutomaton, getEventModel, getId, getParameterNames, setAutomaton, setEventModel, setId`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### ParameterizableComplexEventPattern

          public ParameterizableComplexEventPattern()

  - ### Method Detail

    - #### addEventPatternRefrence

          public void addEventPatternRefrence(EventPattern eventPatternToBeReffered,
                                              int multiplicity,
                                              java.util.List<java.lang.String> parameterSymbolicNames)

    - #### addEventPatternRefrence

          public EventPatternReference addEventPatternRefrence(EventPattern eventPatternToBeReffered,
                                                               int multiplicity)

    - #### addEventPatternRefrence

          public EventPatternReference addEventPatternRefrence(EventPattern eventPatternToBeReffered,
                                                               AbstractMultiplicity multiplicity)